# -*- coding: utf-8 -*-
import pygame
from pygame.locals import *
import numpy
import scipy.signal


def new(x, y):
    target = pygame.Surface((x, y), SRCALPHA)
    alpha = pygame.surfarray.pixels_alpha(target)
    alpha[:] = 0
    del alpha
    target.unlock()
    return target


def fade(target, amount=0.8):
    alpha = pygame.surfarray.pixels_alpha(target)
    alpha *= 0.8
    del alpha
    target.unlock()
    return target

